import {ElementColumnsList, ResPage, ResultData} from "@/api/interface/index";
import { PORT1 } from "@/api/config/servicePort";
import http from "@/api";


/**
 * @name 实时监测报警模块
 */
// 获取自动站基本信息
export const getPlatformList = (params: {}) => {
  return http.post<ResPage<any>>(PORT1 + `/queryasinfo`, params);
};


//查询所有人工要素字典表
export const getRgDataList = () => {
  return http.post<ResPage<ElementColumnsList[]>>(PORT1 + `/queryalldataList`);
};



//查询观测要素
export const getDataItemList = (params:{}) => {
  return http.post<ResPage<any>>(PORT1 + `/querydataitem`,params);
};


//根据条件查询危险天气记录表
export const getTacRecordList = (params:{}) => {
  return http.post<ResPage<any>>(PORT1 + `/querytactrecordlist`,params);
};



